# Gets Public Invoice information Public endpoint that allows for retrieval of invoice information, provided the accurate sharing secret is supplied Endpoint: GET /invoices/{tenantId}/public/{id} Version: v1-2025-04-18 ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed - `id` (string, required) The ID of the invoice ## Query parameters: - `sharing_secret` (string, required) The sharing secret of hte invoice ## Response 200 fields (application/json): - `allowed_payment_methods` (string) Enum: "both", "credit card", "electronic check" - `balance_due` (number) The balance due on the invoice - `date` (string) The date of the invoice - `date_due` (string) The date of the invoice - `id` (string) The ID of the invoice - `number` (number) Invoice number - `status` (string) The status of the invoice Enum: "cancelled", "open", "paid", "void", "written off" ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields